/*
 *  SPDX-FileCopyrightText: 2021 Felipe Kinoshita <kinofhek@gmail.com>
 *  SPDX-FileCopyrightText: 2022 Nate Graham <nate@kde.org>
 *
 *  SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
 */

import QtQuick
import QtQuick.Controls as QQC2
import QtQuick.Layouts
import org.kde.kirigami as Kirigami
import Qt5Compat.GraphicalEffects

import org.kde.plasma.welcome

GenericPage {
    heading: i18nc("@info:window", "Enable Third Party Repositories")
    description: xi18nc("@info:usagetip", "By clicking the button below, you will enable several third party repositories.")


    topContent: [
        Kirigami.UrlButton {
            id: thirdPartyInfoLink
            Layout.topMargin: Kirigami.Units.largeSpacing
            text: i18nc("@action:button", "See which repositories will get added")
            url: "https://docs.fedoraproject.org/en-US/workstation-working-group/third-party-repos/"
        },
        Kirigami.UrlButton {
            id: thirdPartyPolicyLink
            Layout.topMargin: Kirigami.Units.largeSpacing
            text: i18nc("@action:button", "Learn more about Fedora's Third Party Repository Policy")
            url: "https://docs.fedoraproject.org/en-US/fesco/Third_Party_Repository_Policy/"
        },
        QQC2.Button {
            id: enableThirdParty
            text: "Enable Third Party Repositories"
            onClicked: {
                Controller.runCommand("pkexec fedora-third-party enable");
                showPassiveNotification(i18n("Third-Party Repositories are now being enabled in the background."));
                enableThirdParty.enabled = false;
            }
            Layout.topMargin: Kirigami.Units.largeSpacing
        }



    ]

    ColumnLayout {
        anchors.centerIn: parent
        spacing: 0




    }
}
